LibreOffice LibreOffice 5.3 SDK API Reference

Public Attributes | List of all members
ChangeEvent Struct Referencepublished

`import"ChangeEvent.idl";`

Inheritance diagram for ChangeEvent:

## Public Attributes
long | Action
| indicates the type of change. More...
long | Rows
| indicates the number of rows affected by the change. More...
Public Attributes inherited from EventObject
com::sun::star::uno::XInterface | Source
| refers to the object that fired the event. More...

## Detailed Description

Deprecated:
  indicates the type of change action on the data source.

## Member Data Documentation

## ◆ Action

long Action

indicates the type of change.

See also
  com::sun::star::sdbc::ChangeAction

## ◆ Rows

long Rows

indicates the number of rows affected by the change.

The documentation for this struct was generated from the following file:

- com/sun/star/sdbc/ChangeEvent.idl